package org.springblade.modules.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.modules.entity.CyryEntity;
import org.springblade.modules.entity.SydwEntity;
import org.springblade.modules.vo.DwdzVO;
import org.springblade.modules.vo.UserVO;

import java.util.List;

public interface SydwMapper extends BaseMapper<SydwEntity> {
	IPage<SydwEntity> selectSydwPage(IPage<SydwEntity> page, SydwEntity sydwEntity);

	SydwEntity sydwDetail(SydwEntity sydwEntity);

	List<CyryEntity> selectCyryByDzbm(String tyshxydm);

	CyryEntity cyryDetail(CyryEntity cyryEntity);

	List<DwdzVO> selectDwDz(String deptId);

    List<CyryEntity> selectCyrylsByDzbm(String tyshxydm);

    UserVO djxx(Long userId);

	List<SydwEntity> getMphxlhByLdphxlh(String ldphxlh);

	SydwEntity selectFwInfo(SydwEntity sydwEntity, String dzbm);

	String getFwxzByRkDzxx(String dzbm);
}
